Your message dated Fri, 31 Jan 2014 10:00:18 +0000
with message-id <e1w9atw-00052j...@franck.debian.org>
and subject line Bug#713358: fixed in qgis 2.0.1-1
has caused the Debian Bug report #713358,
regarding qgis: FTBFS: CMake Error: The following variables are used in this 
project, but they are set to NOTFOUND. PYTHON_LIBRARY
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
713358: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=713358
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: qgis
Version: 1.7.4+1.7.5~20120320-1.1
Severity: serious
Tags: jessie sid
User: debian...@lists.debian.org
Usertags: qa-ftbfs-20130620 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
>  debian/rules build
> sed -e "s/{QGIS_ABI}/1.7.5/g" -e "s/{GRASS}/grass64/g" -e 
> "s/{GRASS_ABI}/642/g" debian/python-qgis.install.in 
> >debian/python-qgis.install
> sed -e "s/{QGIS_ABI}/1.7.5/g" -e "s/{GRASS}/grass64/g" -e 
> "s/{GRASS_ABI}/642/g" debian/python-qgis.lintian-overrides.in 
> >debian/python-qgis.lintian-overrides
> sed -e "s/{QGIS_ABI}/1.7.5/g" -e "s/{GRASS}/grass64/g" -e 
> "s/{GRASS_ABI}/642/g" debian/qgis-plugin-grass.install.in 
> >debian/qgis-plugin-grass.install
> sed -e "s/{QGIS_ABI}/1.7.5/g" -e "s/{GRASS}/grass64/g" -e 
> "s/{GRASS_ABI}/642/g" debian/qgis.sh.in >debian/qgis.sh
> sed -e "s/{QGIS_ABI}/1.7.5/g" -e "s/{GRASS}/grass64/g" -e 
> "s/{GRASS_ABI}/642/g" debian/control.debiangis >debian/control
> sed -e "s/{QGIS_ABI}/1.7.5/g" -e "s/{GRASS}/grass64/g" -e 
> "s/{GRASS_ABI}/642/g" debian/libqgis{QGIS_ABI}-dev.install 
> >debian/libqgis1.7.5-dev.install
> sed -e "s/{QGIS_ABI}/1.7.5/g" -e "s/{GRASS}/grass64/g" -e 
> "s/{GRASS_ABI}/642/g" debian/libqgis{QGIS_ABI}.install 
> >debian/libqgis1.7.5.install
> sed -e "s/{QGIS_ABI}/1.7.5/g" -e "s/{GRASS}/grass64/g" -e 
> "s/{GRASS_ABI}/642/g" debian/libqgis{QGIS_ABI}.lintian-overrides 
> >debian/libqgis1.7.5.lintian-overrides
> sed -e "s/{QGIS_ABI}/1.7.5/g" -e "s/{GRASS}/grass64/g" -e 
> "s/{GRASS_ABI}/642/g" debian/qgis-sqlanywhere{QGIS_ABI}.install 
> >debian/qgis-sqlanywhere1.7.5.install
> dh_testdir
> # Add here commands to configure the package.
> [ -d debian/build ] || mkdir debian/build
> [ ! -e CMakeCache.txt ] || rm CMakeCache.txt
> cd debian/build; cmake -D GRASS_PREFIX=/usr/lib/grass64 -D 
> CMAKE_INSTALL_PREFIX=/usr -D CMAKE_SKIP_RPATH=TRUE -D 
> BINDINGS_GLOBAL_INSTALL=TRUE -D PEDANTIC=TRUE -D WITH_SPATIALITE=TRUE -D 
> WITH_MAPSERVER=TRUE -D QGIS_CGIBIN_SUBDIR=/usr/lib/cgi-bin -D 
> WITH_APIDOC=TRUE -D WITH_INTERNAL_SPATIALITE=TRUE ../..
> -- The C compiler identification is GNU 4.8.1
> -- The CXX compiler identification is GNU 4.8.1
> -- Check for working C compiler: /usr/bin/cc
> -- Check for working C compiler: /usr/bin/cc -- works
> -- Detecting C compiler ABI info
> -- Detecting C compiler ABI info - done
> -- Check for working CXX compiler: /usr/bin/c++
> -- Check for working CXX compiler: /usr/bin/c++ -- works
> -- Detecting CXX compiler ABI info
> -- Detecting CXX compiler ABI info - done
> -- Quantum GIS version: 1.7.5 Wroclaw (10705)
> -- Found GRASS: /usr/lib/grass64 (6.4.2)
> -- Looking for openpty
> -- Looking for openpty - not found
> -- Looking for openpty
> -- Looking for openpty - found
> -- Found Proj: /usr/lib/libproj.so
> -- Found Expat: /usr/lib/x86_64-linux-gnu/libexpat.so
> -- Found GSL: -L/usr/lib -lgsl -lgslcblas -lm
> -- Found GEOS: /usr/lib/libgeos_c.so
> -- Found GDAL: /usr/lib/libgdal.so
> -- Found Qwt: /usr/lib/libqwt-qt4.so
> -- Found PostgreSQL: /usr/lib/libpq.so
> -- Looking for Q_WS_X11
> -- Looking for Q_WS_X11 - found
> -- Looking for Q_WS_WIN
> -- Looking for Q_WS_WIN - not found
> -- Looking for Q_WS_QWS
> -- Looking for Q_WS_QWS - not found
> -- Looking for Q_WS_MAC
> -- Looking for Q_WS_MAC - not found
> -- Found Qt4: /usr/bin/qmake (found suitable version "4.8.4", minimum 
> required is "4.4.0") 
> -- Pedantic compiler settings enabled
> -- Found PythonInterp: /usr/bin/python (found version "2.7.5") 
> -- Found Python executable: /usr/bin/python
> -- Found Python version: 2.7.5+
> -- Found Python library: PYTHON_LIBRARY-NOTFOUND
> -- Found SIP version: 4.14.7
> -- Found PyQt4 version: 4.10.2
> -- Found FCGI: /usr/lib/libfcgi.so
> -- Found Doxygen: /usr/bin/doxygen (found version "1.8.1.2") 
> CMake Error: The following variables are used in this project, but they are 
> set to NOTFOUND.
> Please set them or make sure they are set and tested correctly in the CMake 
> files:
> PYTHON_LIBRARY
>     linked by target "python_module_qgis_analysis" in directory 
> /«BUILDDIR»/qgis-1.7.4+1.7.5~20120320/python
>     linked by target "python_module_qgis_core" in directory 
> /«BUILDDIR»/qgis-1.7.4+1.7.5~20120320/python
>     linked by target "python_module_qgis_gui" in directory 
> /«BUILDDIR»/qgis-1.7.4+1.7.5~20120320/python
>     linked by target "qgispython" in directory 
> /«BUILDDIR»/qgis-1.7.4+1.7.5~20120320/src/python
>     linked by target "pyspatialite" in directory 
> /«BUILDDIR»/qgis-1.7.4+1.7.5~20120320/python/pyspatialite
> 
> -- Configuring incomplete, errors occurred!
> make: *** [debian/build/CMakeCache.txt] Error 1

The full build log is available from:
   
http://aws-logs.debian.net/ftbfs-logs/2013/06/20/qgis_1.7.4+1.7.5~20120320-1.1_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.

--- End Message ---
--- Begin Message ---
Source: qgis
Source-Version: 2.0.1-1

We believe that the bug you reported is fixed in the latest version of
qgis, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 713...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bas Couwenberg <sebas...@xs4all.nl> (supplier of updated qgis package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 16 Jan 2014 21:28:09 +0100
Source: qgis
Binary: qgis qgis-common libqgis-core2.0.1 libqgis-gui2.0.1 
libqgis-analysis2.0.1 libqgis-networkanalysis2.0.1 libqgisgrass2.0.1 
libqgispython2.0.1 libqgissqlanyconnection2.0.1 libqgis-dev qgis-plugin-grass 
qgis-plugin-grass-common python-qgis python-qgis-common qgis-providers 
qgis-providers-common qgis-mapserver qgis-sqlanywhere qgis-api-doc
Architecture: source amd64 all
Version: 2.0.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Changed-By: Bas Couwenberg <sebas...@xs4all.nl>
Description: 
 libqgis-analysis2.0.1 - QGIS - shared libraries (libqgis-analysis)
 libqgis-core2.0.1 - QGIS - shared libraries (libqgis-core)
 libqgis-dev - QGIS - development files
 libqgis-gui2.0.1 - QGIS - shared libraries (libqgis-gui)
 libqgis-networkanalysis2.0.1 - QGIS - shared libraries 
(libqgis-networkanalysis)
 libqgisgrass2.0.1 - QGIS - shared libraries (libqgisgrass)
 libqgispython2.0.1 - QGIS - shared libraries (libqgispython)
 libqgissqlanyconnection2.0.1 - QGIS - shared libraries 
(libqgissqlanyconnection)
 python-qgis - Python bindings to QGIS
 python-qgis-common - Python bindings to QGIS - architecture-independent files
 qgis       - Geographic Information System (GIS)
 qgis-api-doc - QGIS API documentation
 qgis-common - QGIS - architecture-independent data
 qgis-mapserver - QGIS mapserver
 qgis-plugin-grass - GRASS plugin for QGIS
 qgis-plugin-grass-common - GRASS plugin for QGIS - architecture-independent 
data
 qgis-providers - collection of data providers to QGIS
 qgis-providers-common - collection of data providers to QGIS - 
architecture-independent f
 qgis-sqlanywhere - QGIS sql anywhere plugin and provider
Closes: 676562 688246 690884 691333 713358 713893 717052 724873 729495 734136
Changes: 
 qgis (2.0.1-1) unstable; urgency=low
 .
   [ Jürgen E. Fischer ]
   * branch of version 2.0
   * add support for debian jessie and ubuntu saucy
 .
   [ Bas Couwenberg ]
   * New upstream release.
     (closes: #688246, #690884, #713358, #713893, #724873, #734136)
   * Add myself to Uploaders.
   * Merge changes from control.sid.
   * Use minimal dh rules.
   * Update watch file. (closes: #717052)
   * Drop 10_fix_gcc4.7_build.patch, no longer required.
   * Use canonical URLs for Vcs-* fields.
   * Don't run tests during build, requires network.
   * Install SVG icon for QGIS desktop files. (closes: #676562)
   * Use pkgkde-gensymbols & pkgkde-symbolshelper to handle C++ symbols.
   * Split libqgis libraries into separate packages.
   * Remove automatically generated files on clean.
   * Add lintian overrides for no-fortify-functions false positive.
   * Add lintian overrides for binaries-have-file-conflict false positive.
   * Add patch to fix 'another' typo.
   * Add patch to fix 'allows one to' typo.
   * Add Keywords for desktop files.
   * Update copyright for qgis-providers-common resources.
   * Don't install extra license files.
   * Bump Standards-Version to 3.9.5, changes: minimal dh rules, Vcs-* field
     updates, shared library split and symbols.
   * Add patch to fix FTBFS on armel/armhf. Thanks to Konstantinos Margaritis.
     (closes: #691333)
   * Change priority to optional.
   * Update libgdal-dev build dependency.
   * Add patch to fix building with SIP 4.15.
   * Update Source URL in copyright.
   * Add patches from upstream release-2_0 branch.
   * Add patch to remove Google AdSense from documention.
   * Add patch to explicitly use /usr/bin/python2.7, update X-Python-Version and
     dependencies accordingly.
     (closes: #729495)
   * Add patch to fix a crash when a WMS-C tile matrix set isn't available
     anymore.
Checksums-Sha1: 
 939b986e443ef78ecf88931b95663b5e4e5905e0 2979 qgis_2.0.1-1.dsc
 20854740bc17bae530cbbcefc7a2c7df6ebb5f30 34150394 qgis_2.0.1.orig.tar.bz2
 10c46d39a47f5d0b615546b7e5a7380a6bda3156 475152 qgis_2.0.1-1.debian.tar.xz
 c317db5565eaf36ed9b55e97df6c5a3bb9e97ad4 4603484 qgis_2.0.1-1_amd64.deb
 d8bb316fd0ba9d274f10987085827a2a9420c491 5525368 qgis-common_2.0.1-1_all.deb
 b88272bd97b0b389839fb29a2093640fa8c7843a 2398224 
libqgis-core2.0.1_2.0.1-1_amd64.deb
 07a421126b3fa4f9efaa451f525a9e5929647b32 1761702 
libqgis-gui2.0.1_2.0.1-1_amd64.deb
 38e03bfecca360e74fb68812eaac961aef74a992 866798 
libqgis-analysis2.0.1_2.0.1-1_amd64.deb
 a1e48a3ff7b0d4d9ef9372ea7c57fc2af6d99ac5 742752 
libqgis-networkanalysis2.0.1_2.0.1-1_amd64.deb
 b8d0932a755033044eed710df7c6595ddca92b0d 791350 
libqgisgrass2.0.1_2.0.1-1_amd64.deb
 40db5fd2897ace35569b3ba0119d6d00e6b15cc8 733758 
libqgispython2.0.1_2.0.1-1_amd64.deb
 fa4d5c0c2775d19f196a07626f6c068565246d13 737070 
libqgissqlanyconnection2.0.1_2.0.1-1_amd64.deb
 cc8dba60c8864e0cb9cfdfd80be60719771b6937 1008818 libqgis-dev_2.0.1-1_amd64.deb
 8dea2ce2fa857d7c92123ec67fe0a582a17047b4 1438674 
qgis-plugin-grass_2.0.1-1_amd64.deb
 c8810d494ca30e622666e39363d1afd04f440e0f 1145756 
qgis-plugin-grass-common_2.0.1-1_all.deb
 e360cd666f58304c7a9d50beb77b6cec1745b1d9 2415502 python-qgis_2.0.1-1_amd64.deb
 ccd9d955d15bafc558bae998b651854b1c524c76 2764128 
python-qgis-common_2.0.1-1_all.deb
 eb52b28097195de66618950a778b283d6683d766 1672568 
qgis-providers_2.0.1-1_amd64.deb
 def70c3591a795326b91f16e2487eff2ccf3a8e0 1273670 
qgis-providers-common_2.0.1-1_all.deb
 4815f94713e5832fa1c8518a84d1cc223bc3a505 1013354 
qgis-mapserver_2.0.1-1_amd64.deb
 c2dc741f90b0f494aa2f90f88018c58ff9220e24 818108 
qgis-sqlanywhere_2.0.1-1_amd64.deb
 14f5f58f9c1bc89d394f042b9fc67f535761e6ce 136517440 qgis-api-doc_2.0.1-1_all.deb
Checksums-Sha256: 
 4871f21f334cfb0a6aafb46eaef6af08a36c9f306028e279885559df098546f2 2979 
qgis_2.0.1-1.dsc
 f417fdd6e04872ad736096e9e13a4fc15ae6dbb3b7876bd2529ac8b7694eabe1 34150394 
qgis_2.0.1.orig.tar.bz2
 2073c9cd1e639d31b9174386c47eabbd24aff32b73f64e267b29b47d669b4f95 475152 
qgis_2.0.1-1.debian.tar.xz
 1ea8dca4516c9ef9004645dc18d0e5b1ec1d853521d21a93042455648b28ba3c 4603484 
qgis_2.0.1-1_amd64.deb
 f0cd29b18ec652e5a0c3ddae9bc88fafe8e76173729540792103cbd8d33ff283 5525368 
qgis-common_2.0.1-1_all.deb
 32c1b831916b04ed3f0a1eec00c62786cb92d9938e512ba5fa9f85709d42d3d9 2398224 
libqgis-core2.0.1_2.0.1-1_amd64.deb
 5d0089a4a53716a80b1dd2e01e770833a2b678c26ca870502c44a72a87fe0a15 1761702 
libqgis-gui2.0.1_2.0.1-1_amd64.deb
 d175dbc5f57bb86478353f178d718cd9114d7d946715521bd6a8dd2b19b56589 866798 
libqgis-analysis2.0.1_2.0.1-1_amd64.deb
 f4687df662b117a720f0a213f084d7bc743fc4e497344861992b6f526a10f101 742752 
libqgis-networkanalysis2.0.1_2.0.1-1_amd64.deb
 bdb4b35f8a1eff425bf039e6cf514c9f09dfc203fe5c052215996d2b09ab695a 791350 
libqgisgrass2.0.1_2.0.1-1_amd64.deb
 8c48e1bcd80b590a48e241c3239f9342273e1536ccd6b24219c669edaa12a626 733758 
libqgispython2.0.1_2.0.1-1_amd64.deb
 cb775400e8f5a23e348ec030a6e92942f8d9f2d78c2a1755f1b5e9bca0984a20 737070 
libqgissqlanyconnection2.0.1_2.0.1-1_amd64.deb
 89cbd20526259eafdf84606f6946120200e7108d59d2bb1e62554a3bb15c96c5 1008818 
libqgis-dev_2.0.1-1_amd64.deb
 f4381a80f654b143f6c978238ca012d11fdabe54d7f1dbe673e24d9c5175dfdf 1438674 
qgis-plugin-grass_2.0.1-1_amd64.deb
 6eccb28d6316976b4cf71b0210373645c4dd9a31b894af4d86ab5f2d992dda9d 1145756 
qgis-plugin-grass-common_2.0.1-1_all.deb
 0ea42afca72051850d55103a231289827f1db0ebb3dad21faa4d2eca6428484f 2415502 
python-qgis_2.0.1-1_amd64.deb
 97b521068110da3f36274c6c02f2557a9b191317d6bf3ead2e6adcc900db574d 2764128 
python-qgis-common_2.0.1-1_all.deb
 7e9969f234962565d31a8d53359fa095e7638a84d15ef10ec2faf1af4d7fa1d5 1672568 
qgis-providers_2.0.1-1_amd64.deb
 aea03b03cfe24bb105f6e520fec360a3e4520b7ea63a5220d425df5a51b68a01 1273670 
qgis-providers-common_2.0.1-1_all.deb
 c45efca1891549db2f8de4b6f0fdc5837fd345049670671d2bdc75a3539bd2df 1013354 
qgis-mapserver_2.0.1-1_amd64.deb
 76e2f72d6ccf88f88073167bc84148be0947322f30ecc1e676f50881ecbe82c0 818108 
qgis-sqlanywhere_2.0.1-1_amd64.deb
 3db3f5a6d82c73ffddb34db06d7a60d655b5d7337d423c76560e236ea575dc15 136517440 
qgis-api-doc_2.0.1-1_all.deb
Files: 
 1d95fde6da63e566274a629e097a08cd 2979 science optional qgis_2.0.1-1.dsc
 3822c7dd70e2d893a0f1baa9c72316d2 34150394 science optional 
qgis_2.0.1.orig.tar.bz2
 30ebc00829647a46fdcc28eeb3ac5878 475152 science optional 
qgis_2.0.1-1.debian.tar.xz
 373eb4dcfde6aae028880ed2a784b48d 4603484 science optional 
qgis_2.0.1-1_amd64.deb
 75282b43ea4e7c9b5686f2edd505256f 5525368 science optional 
qgis-common_2.0.1-1_all.deb
 1ca666a0f9d91a580bdcd2ae7eb5419a 2398224 libs optional 
libqgis-core2.0.1_2.0.1-1_amd64.deb
 53f0d28d34b909c4588adb2e9d0b4ee6 1761702 libs optional 
libqgis-gui2.0.1_2.0.1-1_amd64.deb
 ac8b1d3c03264ccef871dbfa8e921b09 866798 libs optional 
libqgis-analysis2.0.1_2.0.1-1_amd64.deb
 317bab6055305a14a8a2fbb0dbbedc9d 742752 libs optional 
libqgis-networkanalysis2.0.1_2.0.1-1_amd64.deb
 cb585ccbb283a718daa689ee358eaf24 791350 libs optional 
libqgisgrass2.0.1_2.0.1-1_amd64.deb
 6dc1c0e630f28696aa94812f3d20c3f4 733758 libs optional 
libqgispython2.0.1_2.0.1-1_amd64.deb
 6e87dd3e9a4258c13e123fc49eeb8278 737070 libs optional 
libqgissqlanyconnection2.0.1_2.0.1-1_amd64.deb
 739c79f68a7087d48df4044af8e9306b 1008818 libdevel optional 
libqgis-dev_2.0.1-1_amd64.deb
 137aea3755358ae412f2c7569abd8202 1438674 science optional 
qgis-plugin-grass_2.0.1-1_amd64.deb
 d21885d3f771cf1b652a94916b9054ba 1145756 science optional 
qgis-plugin-grass-common_2.0.1-1_all.deb
 7d3529467d1afca04baa49025d29c364 2415502 python optional 
python-qgis_2.0.1-1_amd64.deb
 1b8bd9c7e26c30cc4b11c53e8e4964ec 2764128 python optional 
python-qgis-common_2.0.1-1_all.deb
 2f7590ce226b52a265ff403477055068 1672568 science optional 
qgis-providers_2.0.1-1_amd64.deb
 5cac87a4329751b46e98406144744c19 1273670 science optional 
qgis-providers-common_2.0.1-1_all.deb
 0a4277f0e6d3f16aa93bffe50c741ba8 1013354 science optional 
qgis-mapserver_2.0.1-1_amd64.deb
 b3f733540739dc91fdef40d95d6703e5 818108 science optional 
qgis-sqlanywhere_2.0.1-1_amd64.deb
 ed729e0c058d8d1e65d7367641467b53 136517440 doc optional 
qgis-api-doc_2.0.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iEYEARECAAYFAlLaR2gACgkQYDBbMcCf01rURwCgs8QgB52OACphnE9RCsBDXyEW
WWMAoIjKWaC7q1msfNC49VSjApu7dRHK
=aa90
-----END PGP SIGNATURE-----

--- End Message ---
_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to